Apache Tomcat 7.0.42

## org.apache.catalina.filters
Class ExpiresFilter.ExpiresConfiguration

    java.lang.Object
      org.apache.catalina.filters.ExpiresFilter.ExpiresConfiguration

Enclosing class:
  ExpiresFilter

    protected static class ExpiresFilter.ExpiresConfiguration

extends Object

Main piece of configuration of the filter.

Can be expressed like '`access plus 1 month 15 days 2 hours`'.

Constructor Summary
`ExpiresFilter.ExpiresConfiguration(ExpiresFilter.StartingPoint startingPoint, List<ExpiresFilter.Duration> durations)`

Method Summary
`List<ExpiresFilter.Duration>` `getDurations()`
`ExpiresFilter.StartingPoint` `getStartingPoint()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpiresFilter.ExpiresConfiguration

    public ExpiresFilter.ExpiresConfiguration(ExpiresFilter.StartingPoint startingPoint,
                                              List<ExpiresFilter.Duration> durations)

Method Detail

### getDurations

    public List<ExpiresFilter.Duration> getDurations()

### getStartingPoint

    public ExpiresFilter.StartingPoint getStartingPoint()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.